
/////////////////////////////////////////////////////////////////////////////
//
//             /
//      -  P  /  E  C  E  -
//           /                 mobile equipment
//
//              System Programs
//
//
// PIECE LIBRARY : pceapi : Ver 1.00
//
// Copyright (C)2001 AUQAPLUS Co., Ltd. / OeRSTED, Inc. all rights reserved.
//
// Coded by MIO.H (OeRSTED)
//
// Comments:
//
//	○ デフォルトのバージョンチェック処理
//
//  v1.09 2001.11.30 MIO.H
//
//	* Tue Dec 13 04:26:00 JST 2005 Naoyuki Sawa
//	- __version_check()内の不要なpceLCDDispStop()呼び出しを削除しました。
//
//	* Wed Dec 31 17:37:43 JST 2014 Naoyuki Sawa
//	- cstart.cのpceAppInit00()でpceLCDDispStart()を呼び出し、液晶画面の表示を開始するようにしました。
//	  この変更に伴い、__version_check()内のpceLCDDispStart()呼び出しは不要になり、削除しました。
//

#if 0 /*{{N.SAWA*/
//#include <piece.h>
//#include <string.h>
#else /*}}N.SAWA{{*/
#include "clip.h"	/* clippce.hのAPPSYSVER定義コメントを参照してください */
#endif /*}}N.SAWA*/

extern unsigned char _def_vbuff[128*88];

int __version_check( int opef )
{
	const SYSTEMINFO *sip = pceSystemGetInfo();

	if ( sip->bios_ver >= APPSYSVER ) return 0;	// OK

	if ( opef == 1 ) {
	//不要	pceLCDDispStop(); {{2005/12/13 Naoyuki Sawa 不要なので削除しました}}
		pceLCDSetBuffer( _def_vbuff );
		memset( _def_vbuff, 0, 128*88 );
		pceFontSetPos( 0, 10 );
		pceFontPrintf(
			"このプログラムは、\n"
			"BIOS ver%d.%02d 以上\n"
			"でないと動作しません。\n\n"
			"Aボタンを押すと\n"
			"終了します。",
			APPSYSVER>>8,
			APPSYSVER&255
			);
		pceLCDTrans();
	//不要	pceLCDDispStart();	//{{2014/12/31削除:cstart.cのpceAppInit00()でpceLCDDispStart()を呼び出し、液晶画面の表示を開始するようにしました。}}
	}
	else if ( opef ) {
		if ( pcePadGet() & TRG_A ) pceAppReqExit(0);
	}

	return 1;
}




